System requirements for Vectera


Required software

Vectera is a web application that works in your browser, without installations to join a meeting room. For meeting room owners, our Vectera Helper extension can be required in Google Chrome to use more advanced features.

For participants, it's really as simple as clicking on the URL to the meeting room to join the meeting.

We recommend using the latest version of Google Chrome or Mozilla FireFox for an optimal experience. Internet Explorer will never be supported (abort that sinking ship!) and Microsoft Edge in the second half of 2019.

For a complete overview of compatible browsers and versions, see our FAQ for more details.

Required hardware

Vectera is device-agnostic. This means that any device with a supported browser (see Required software above), can be used for meetings in Vectera!

We recommend using a recent computer, laptop, tablet or smartphone that is not older than 4 years to optimise your experience.

Vectera is designed to be touch friendly. You can use your tablet, of any brand, to easily make notes on whiteboards and documents.